% Copyright (c) 2010 Iris Yan

% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.

% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

function [ d ] = calculatedistance( x0,y0,x1,y1,x2,y2,R )
%This function calculates the traveling distance inside a WLAN

A=y2-y1;
B=x1-x2;
C=y1*x2-x1*y2;
d0=abs(A*x0+B*y0+C)/sqrt(A^2+B^2);
if d0<R
d=2*sqrt(R^2-d0^2);
else d=0;
end



